const composerJson = require(require('path').resolve(__dirname, '../../../../..', 'composer.json'));
const get          = require('lodash/get');

const reportBug = get(composerJson, 'extra.netinventors.links.report-bug.en-GB');
const gitlab    = get(composerJson, 'extra.netinventors.links.gitlab.en-GB');
const buyNow    = get(composerJson, 'extra.netinventors.links.buy-now.en-GB');

module.exports = [
    {
        text: 'Get started',
        items: [
            {
                text: 'Installation',
                link: '/en/installation/',
            }, {
                text: 'Update',
                link: '/en/update/',
            }, {
                text: 'Configuration',
                link: '/en/configuration/',
            }, {
                text: 'FAQ',
                link: '/en/faq/',
            },
        ],
    }, {
        text: 'Changelog',
        link: '/en/changelog/',
    }, {
        text: 'Contribute',
        items: [
            {
                text: 'Report a bug',
                link: reportBug,
            }, {
                text: 'GitLab',
                link: gitlab,
            },
        ],
    }, {
        text: 'Buy now',
        link: buyNow,
    },
];
