<?php

declare(strict_types=1);

namespace NetInventors\NetiNextToolKit\Core\Content\PropertyGroup;

use NetInventors\NetiNextToolKit\Core\Content\PropertyGroup\Aggregate\Attribute\AttributeDefinition;
use Shopware\Core\Content\Property\PropertyGroupDefinition;
use Shopware\Core\Framework\DataAbstractionLayer\EntityExtension;
use Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\CascadeDelete;
use Shopware\Core\Framework\DataAbstractionLayer\Field\OneToOneAssociationField;
use Shopware\Core\Framework\DataAbstractionLayer\FieldCollection;

class PropertyGroupExtension extends EntityExtension
{
    public function getDefinitionClass(): string
    {
        return PropertyGroupDefinition::class;
    }

    public function extendFields(FieldCollection $collection): void
    {
        $collection->add(
            (new OneToOneAssociationField(
                'netiToolKitAttribute',
                'id',
                'property_group_id',
                AttributeDefinition::class,
            ))->addFlags(new CascadeDelete()),
        );
    }
}
