<?php

declare(strict_types=1);

namespace NetInventors\NetiNextToolKit;

use NetInventors\NetiNextToolKit\Components\Setup;
use Shopware\Core\Framework\Plugin;
use Shopware\Core\Framework\Plugin\Context\InstallContext;
use Shopware\Core\Framework\Plugin\Context\UninstallContext;

class NetiNextToolKit extends Plugin
{
    /**
     * @param InstallContext $installContext
     *
     * @throws \Throwable
     */
    public function install(InstallContext $installContext): void
    {
        parent::install($installContext);

        (new Setup($installContext, $this->container))->install();
    }

    /**
     * @param UninstallContext $uninstallContext
     */
    public function uninstall(UninstallContext $uninstallContext): void
    {
        parent::uninstall($uninstallContext);

        if ($uninstallContext->keepUserData()) {
            return;
        }

        (new Setup($uninstallContext, $this->container))->uninstall();
    }
}
