import template from './template.html.twig';

const { Component } = Shopware;

Component.register('neti-toolkit-property-group-attribute', {
    template,

    inject: ['repositoryFactory'],

    props: {
        propertyGroup: {
            type: Object,
            required: true
        },
        allowEdit: {
            type: Boolean,
            required: true
        }
    },

    computed: {
        attributeRepository() {
            return this.repositoryFactory.create('neti_tk_property_group_attribute');
        }
    },

    watch: {
        propertyGroup: {
            deep: true,
            immediate: true,
            handler() {
                if (!this.propertyGroup.extensions.netiToolKitAttribute) {
                    const attribute = this.attributeRepository.create();

                    attribute.propertyGroupId  = this.propertyGroup.id;
                    attribute.displayInListing = false;

                    this.propertyGroup.extensions.netiToolKitAttribute = attribute;
                }
            }
        }
    }
});