import template from './template.html.twig';

const { Component } = Shopware;

Component.override('sw-property-option-detail', {
    template,

    computed: {
        netiToolKitOptionAttributeRepository() {
            return this.repositoryFactory.create('neti_tk_option_attr');
        }
    },

    watch: {
        currentOption: {
            immediate: true,
            handler(option) {
                if (!option.extensions.netiToolKitOptionAttribute) {
                    const attribute = this.netiToolKitOptionAttributeRepository.create();

                    attribute.textField1 = '';
                    attribute.textField2 = '';
                    attribute.textField3 = '';
                    attribute.textArea1  = '';
                    attribute.htmlText1  = '';

                    this.$set(option.extensions, 'netiToolKitOptionAttribute', attribute);
                }
            }
        }
    },
});
