<?php

declare(strict_types=1);

namespace NetInventors\NetiNextToolKit\Struct;

class PluginConfigStruct
{
    final public const REVIEW_DISPLAY_NONE = 'none';

    final public const REVIEW_DISPLAY_COUNT = 'count';

    final public const REVIEW_DISPLAY_ALL = 'all';

    private bool $active = false;

    private array $listingProperties = [];

    private string $reviewDisplayModes = self::REVIEW_DISPLAY_NONE;

    private int $reviewCount = 0;

    private bool $showReviewAverage = false;

    /**
     * @psalm-mutation-free
     */
    public function isActive(): bool
    {
        return $this->active;
    }

    /**
     * @psalm-mutation-free
     */
    public function getListingProperties(): array
    {
        return $this->listingProperties;
    }

    public function getReviewDisplayModes(): string
    {
        return $this->reviewDisplayModes;
    }

    /**
     * @psalm-mutation-free
     */
    public function getReviewCount(): int
    {
        return $this->reviewCount;
    }

    /**
     * @psalm-mutation-free
     */
    public function isShowReviewAverage(): bool
    {
        return $this->showReviewAverage;
    }
}
