<?php

declare(strict_types=1);

namespace NetInventors\NetiNextToolKit\Struct;

use Shopware\Core\Content\Property\Aggregate\PropertyGroupOption\PropertyGroupOptionEntity;
use Shopware\Core\Framework\Struct\Struct;

class ProductPropertyOptionsStruct extends Struct
{
    /**
     * @param array<string, array<string, PropertyGroupOptionEntity>> $propertyGroupOptions
     */
    public function __construct(
        protected array $propertyGroupOptions,
    ) {
    }

    /**
     * @psalm-mutation-free
     */
    public function getPropertyGroupOptions(): array
    {
        return $this->propertyGroupOptions;
    }

    /**
     * @param array<string, array<string, PropertyGroupOptionEntity>> $propertyGroupOptions
     */
    public function setPropertyGroupOptions(array $propertyGroupOptions): void
    {
        $this->propertyGroupOptions = $propertyGroupOptions;
    }
}
